Subject: Offline Message from vikky: Hello, I bought a Swagtron Swagcycle EB-7 Elite P
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 27 May 2022 02:06:22 -0000

From: vikky <[email-masked]>
Phone: 5104088826
Location: San Pablo, United States
URL: https://swagtron.com/contact/
Department: SwagTron

Hello, I bought a Swagtron Swagcycle EB-7 Elite Plus Folding Electric Bike with Removable Battery on March 13, 2022 thru Amazon seller . It has been over 30 days return period so the Amazon Seller ask me to contact Swagtron directly. 

The problem I have is the battery Charger is no longer working. When I plug in the light didn't show. Will I be able to get a battery charger replacement? 

----
Zopim
https://www.zopim.com